/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.item.selector.criteria;

import com.liferay.item.selector.ItemSelectorReturnType;

/**
 * This return type should return the following information of a group as a JSON
 * object:
 *
 * <ul>
 * <li>
 * <code>groupDescriptiveName</code>: The name of the selected group
 * </li>
 * <li>
 * <code>groupId</code>: The group ID of the selected group
 * </li>
 * <li>
 * <code>groupType</code>: The type of the selected group
 * </li>
 * <li>
 * <code>url</code>: The URL of the selected group
 * </li>
 * <li>
 * <code>uuid</code>: The UUID of the selected group
 * </li>
 * </ul>
 *
 * @author Eudaldo Alonso
 */
public class GroupItemSelectorReturnType implements ItemSelectorReturnType {
}